Nss Client¶
Detach Milestone To Work Order¶
HTTP Request
POST /api/nss/task-detach/{taskId}/{workOrderId}
📋 Description: Detaches a specified task from a work order, facilitating the reallocation of resources and improving task management efficiency within the operational workflow.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
taskId |
path |
integer(int64) |
true |
Unique identifier for the task |
workOrderId |
path |
integer(int64) |
true |
Unique identifier for the work order |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Attach Milestone To Work Order¶
HTTP Request
POST /api/nss/task-attach/{workOrderId}
📋 Description: Attaches a specified task to a work order, enabling streamlined task management and enhancing operational efficiency.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
workOrderId |
path |
integer(int64) |
true |
Unique identifier for the work order |
body |
body |
true |
Request body containing the task attachment details, including relevant documentation and metadata, to be associated with the specified work order. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "name": "string",
10 "description": "string",
11 "wbs": 0,
12 "startDate": "2019-08-24",
13 "targetDate": "2019-08-24",
14 "statusId": 0,
15 "assigneeId": 0,
16 "assigneeCanModify": true,
17 "notificationTypeId": 0,
18 "triggerId": 0,
19 "statusOfTriggerId": 0,
20 "emailSendDate": "2019-08-24",
21 "lastEmailSent": "2019-08-24",
22 "isEmailAcknowledged": true,
23 "nbEmailSent": 0,
24 "milestoneTaskKeywordId": 0,
25 "milestoneTaskKeywordValue": "string",
26 "approverId": 0,
27 "approvalStatusId": 0,
28 "refernceTaskId": 0,
29 "approvalDate": "2019-08-24",
30 "nrmWorkOrderId": 0,
31 "nrmWorkOrderDisplayId": "string",
32 "milestoneId": 0,
33 "assignee": {
34 "createdBy": "string",
35 "lastModifiedBy": "string",
36 "createdDate": "2019-08-24T14:15:22Z",
37 "lastModifiedDate": "2019-08-24T14:15:22Z",
38 "archived": true,
39 "externalId": "string",
40 "id": 0,
41 "email": "string",
42 "userName": "string",
43 "firstName": "string",
44 "lastName": "string",
45 "displayName": "string",
46 "permissions": "string",
47 "internalId": "string",
48 "preferredCulture": {
49 "createdBy": "string",
50 "lastModifiedBy": "string",
51 "createdDate": "2019-08-24T14:15:22Z",
52 "lastModifiedDate": "2019-08-24T14:15:22Z",
53 "archived": true,
54 "externalId": "string",
55 "id": 0,
56 "name": "string",
57 "code": "string",
58 "defaultCulture": true,
59 "enable": true
60 },
61 "userGroups": [
62 {
63 "createdBy": "string",
64 "lastModifiedBy": "string",
65 "createdDate": "2019-08-24T14:15:22Z",
66 "lastModifiedDate": "2019-08-24T14:15:22Z",
67 "archived": true,
68 "externalId": "string",
69 "id": 0,
70 "name": "string",
71 "description": "string",
72 "internalId": "string"
73 }
74 ],
75 "partnerIds": [
76 0
77 ],
78 "partners": [
79 {
80 "id": 0,
81 "status": "CREATED",
82 "displayId": "string",
83 "erpSystemId": 0,
84 "erpSystemDisplayId": "string",
85 "name": "string",
86 "fax": "string",
87 "phone": "string",
88 "parentId": 0,
89 "parentName": "string",
90 "parentDisplayId": "string",
91 "companyId": 0,
92 "partnerRoleId": 0,
93 "partnerContactId": 0
94 }
95 ]
96 },
97 "trigger": {
98 "createdBy": "string",
99 "lastModifiedBy": "string",
100 "createdDate": "2019-08-24T14:15:22Z",
101 "lastModifiedDate": "2019-08-24T14:15:22Z",
102 "archived": true,
103 "externalId": "string",
104 "id": 0,
105 "name": "string",
106 "description": "string",
107 "wbs": 0,
108 "startDate": "2019-08-24",
109 "targetDate": "2019-08-24",
110 "statusId": 0,
111 "assigneeId": 0,
112 "assigneeCanModify": true,
113 "notificationTypeId": 0,
114 "triggerId": 0,
115 "statusOfTriggerId": 0,
116 "emailSendDate": "2019-08-24",
117 "lastEmailSent": "2019-08-24",
118 "isEmailAcknowledged": true,
119 "nbEmailSent": 0,
120 "milestoneTaskKeywordId": 0,
121 "milestoneTaskKeywordValue": "string",
122 "approverId": 0,
123 "approvalStatusId": 0,
124 "refernceTaskId": 0,
125 "approvalDate": "2019-08-24",
126 "nrmWorkOrderId": 0,
127 "nrmWorkOrderDisplayId": "string",
128 "milestoneId": 0,
129 "assignee": {
130 "createdBy": "string",
131 "lastModifiedBy": "string",
132 "createdDate": "2019-08-24T14:15:22Z",
133 "lastModifiedDate": "2019-08-24T14:15:22Z",
134 "archived": true,
135 "externalId": "string",
136 "id": 0,
137 "email": "string",
138 "userName": "string",
139 "firstName": "string",
140 "lastName": "string",
141 "displayName": "string",
142 "permissions": "string",
143 "internalId": "string",
144 "preferredCulture": {
145 "createdBy": "string",
146 "lastModifiedBy": "string",
147 "createdDate": "2019-08-24T14:15:22Z",
148 "lastModifiedDate": "2019-08-24T14:15:22Z",
149 "archived": true,
150 "externalId": "string",
151 "id": 0,
152 "name": "string",
153 "code": "string",
154 "defaultCulture": true,
155 "enable": true
156 },
157 "userGroups": [
158 {
159 "createdBy": "string",
160 "lastModifiedBy": "string",
161 "createdDate": "2019-08-24T14:15:22Z",
162 "lastModifiedDate": "2019-08-24T14:15:22Z",
163 "archived": true,
164 "externalId": "string",
165 "id": 0,
166 "name": "string",
167 "description": "string",
168 "internalId": "string"
169 }
170 ],
171 "partnerIds": [
172 0
173 ],
174 "partners": [
175 {
176 "id": 0,
177 "status": "CREATED",
178 "displayId": "string",
179 "erpSystemId": 0,
180 "erpSystemDisplayId": "string",
181 "name": "string",
182 "fax": "string",
183 "phone": "string",
184 "parentId": 0,
185 "parentName": "string",
186 "parentDisplayId": "string",
187 "companyId": 0,
188 "partnerRoleId": 0,
189 "partnerContactId": 0
190 }
191 ]
192 },
193 "trigger": {},
194 "statusOfTrigger": {
195 "createdBy": "string",
196 "lastModifiedBy": "string",
197 "createdDate": "2019-08-24T14:15:22Z",
198 "lastModifiedDate": "2019-08-24T14:15:22Z",
199 "archived": true,
200 "externalId": "string",
201 "id": 0,
202 "priority": 0,
203 "internalId": 0,
204 "pickListCode": "string",
205 "pickListLabel": "string",
206 "label": "string",
207 "cultureId": 0,
208 "labelDtos": [
209 {
210 "createdBy": "string",
211 "lastModifiedBy": "string",
212 "createdDate": "2019-08-24T14:15:22Z",
213 "lastModifiedDate": "2019-08-24T14:15:22Z",
214 "archived": true,
215 "externalId": "string",
216 "id": 0,
217 "cultureId": 0,
218 "value": "string"
219 }
220 ]
221 },
222 "milestoneTaskKeyword": {
223 "createdBy": "string",
224 "lastModifiedBy": "string",
225 "createdDate": "2019-08-24T14:15:22Z",
226 "lastModifiedDate": "2019-08-24T14:15:22Z",
227 "archived": true,
228 "externalId": "string",
229 "id": 0,
230 "priority": 0,
231 "internalId": 0,
232 "pickListCode": "string",
233 "pickListLabel": "string",
234 "label": "string",
235 "cultureId": 0,
236 "labelDtos": [
237 {
238 "createdBy": "string",
239 "lastModifiedBy": "string",
240 "createdDate": "2019-08-24T14:15:22Z",
241 "lastModifiedDate": "2019-08-24T14:15:22Z",
242 "archived": true,
243 "externalId": "string",
244 "id": 0,
245 "cultureId": 0,
246 "value": "string"
247 }
248 ]
249 },
250 "status": {
251 "createdBy": "string",
252 "lastModifiedBy": "string",
253 "createdDate": "2019-08-24T14:15:22Z",
254 "lastModifiedDate": "2019-08-24T14:15:22Z",
255 "archived": true,
256 "externalId": "string",
257 "id": 0,
258 "priority": 0,
259 "internalId": 0,
260 "pickListCode": "string",
261 "pickListLabel": "string",
262 "label": "string",
263 "cultureId": 0,
264 "labelDtos": [
265 {
266 "createdBy": "string",
267 "lastModifiedBy": "string",
268 "createdDate": "2019-08-24T14:15:22Z",
269 "lastModifiedDate": "2019-08-24T14:15:22Z",
270 "archived": true,
271 "externalId": "string",
272 "id": 0,
273 "cultureId": 0,
274 "value": "string"
275 }
276 ]
277 },
278 "approvalStatus": {
279 "createdBy": "string",
280 "lastModifiedBy": "string",
281 "createdDate": "2019-08-24T14:15:22Z",
282 "lastModifiedDate": "2019-08-24T14:15:22Z",
283 "archived": true,
284 "externalId": "string",
285 "id": 0,
286 "priority": 0,
287 "internalId": 0,
288 "pickListCode": "string",
289 "pickListLabel": "string",
290 "label": "string",
291 "cultureId": 0,
292 "labelDtos": [
293 {
294 "createdBy": "string",
295 "lastModifiedBy": "string",
296 "createdDate": "2019-08-24T14:15:22Z",
297 "lastModifiedDate": "2019-08-24T14:15:22Z",
298 "archived": true,
299 "externalId": "string",
300 "id": 0,
301 "cultureId": 0,
302 "value": "string"
303 }
304 ]
305 },
306 "notificationType": {
307 "createdBy": "string",
308 "lastModifiedBy": "string",
309 "createdDate": "2019-08-24T14:15:22Z",
310 "lastModifiedDate": "2019-08-24T14:15:22Z",
311 "archived": true,
312 "externalId": "string",
313 "id": 0,
314 "priority": 0,
315 "internalId": 0,
316 "pickListCode": "string",
317 "pickListLabel": "string",
318 "label": "string",
319 "cultureId": 0,
320 "labelDtos": [
321 {
322 "createdBy": "string",
323 "lastModifiedBy": "string",
324 "createdDate": "2019-08-24T14:15:22Z",
325 "lastModifiedDate": "2019-08-24T14:15:22Z",
326 "archived": true,
327 "externalId": "string",
328 "id": 0,
329 "cultureId": 0,
330 "value": "string"
331 }
332 ]
333 },
334 "approver": {
335 "createdBy": "string",
336 "lastModifiedBy": "string",
337 "createdDate": "2019-08-24T14:15:22Z",
338 "lastModifiedDate": "2019-08-24T14:15:22Z",
339 "archived": true,
340 "externalId": "string",
341 "id": 0,
342 "email": "string",
343 "userName": "string",
344 "firstName": "string",
345 "lastName": "string",
346 "displayName": "string",
347 "permissions": "string",
348 "internalId": "string",
349 "preferredCulture": {
350 "createdBy": "string",
351 "lastModifiedBy": "string",
352 "createdDate": "2019-08-24T14:15:22Z",
353 "lastModifiedDate": "2019-08-24T14:15:22Z",
354 "archived": true,
355 "externalId": "string",
356 "id": 0,
357 "name": "string",
358 "code": "string",
359 "defaultCulture": true,
360 "enable": true
361 },
362 "userGroups": [
363 {
364 "createdBy": "string",
365 "lastModifiedBy": "string",
366 "createdDate": "2019-08-24T14:15:22Z",
367 "lastModifiedDate": "2019-08-24T14:15:22Z",
368 "archived": true,
369 "externalId": "string",
370 "id": 0,
371 "name": "string",
372 "description": "string",
373 "internalId": "string"
374 }
375 ],
376 "partnerIds": [
377 0
378 ],
379 "partners": [
380 {
381 "id": 0,
382 "status": "CREATED",
383 "displayId": "string",
384 "erpSystemId": 0,
385 "erpSystemDisplayId": "string",
386 "name": "string",
387 "fax": "string",
388 "phone": "string",
389 "parentId": 0,
390 "parentName": "string",
391 "parentDisplayId": "string",
392 "companyId": 0,
393 "partnerRoleId": 0,
394 "partnerContactId": 0
395 }
396 ]
397 }
398 },
399 "statusOfTrigger": {
400 "createdBy": "string",
401 "lastModifiedBy": "string",
402 "createdDate": "2019-08-24T14:15:22Z",
403 "lastModifiedDate": "2019-08-24T14:15:22Z",
404 "archived": true,
405 "externalId": "string",
406 "id": 0,
407 "priority": 0,
408 "internalId": 0,
409 "pickListCode": "string",
410 "pickListLabel": "string",
411 "label": "string",
412 "cultureId": 0,
413 "labelDtos": [
414 {
415 "createdBy": "string",
416 "lastModifiedBy": "string",
417 "createdDate": "2019-08-24T14:15:22Z",
418 "lastModifiedDate": "2019-08-24T14:15:22Z",
419 "archived": true,
420 "externalId": "string",
421 "id": 0,
422 "cultureId": 0,
423 "value": "string"
424 }
425 ]
426 },
427 "milestoneTaskKeyword": {
428 "createdBy": "string",
429 "lastModifiedBy": "string",
430 "createdDate": "2019-08-24T14:15:22Z",
431 "lastModifiedDate": "2019-08-24T14:15:22Z",
432 "archived": true,
433 "externalId": "string",
434 "id": 0,
435 "priority": 0,
436 "internalId": 0,
437 "pickListCode": "string",
438 "pickListLabel": "string",
439 "label": "string",
440 "cultureId": 0,
441 "labelDtos": [
442 {
443 "createdBy": "string",
444 "lastModifiedBy": "string",
445 "createdDate": "2019-08-24T14:15:22Z",
446 "lastModifiedDate": "2019-08-24T14:15:22Z",
447 "archived": true,
448 "externalId": "string",
449 "id": 0,
450 "cultureId": 0,
451 "value": "string"
452 }
453 ]
454 },
455 "status": {
456 "createdBy": "string",
457 "lastModifiedBy": "string",
458 "createdDate": "2019-08-24T14:15:22Z",
459 "lastModifiedDate": "2019-08-24T14:15:22Z",
460 "archived": true,
461 "externalId": "string",
462 "id": 0,
463 "priority": 0,
464 "internalId": 0,
465 "pickListCode": "string",
466 "pickListLabel": "string",
467 "label": "string",
468 "cultureId": 0,
469 "labelDtos": [
470 {
471 "createdBy": "string",
472 "lastModifiedBy": "string",
473 "createdDate": "2019-08-24T14:15:22Z",
474 "lastModifiedDate": "2019-08-24T14:15:22Z",
475 "archived": true,
476 "externalId": "string",
477 "id": 0,
478 "cultureId": 0,
479 "value": "string"
480 }
481 ]
482 },
483 "approvalStatus": {
484 "createdBy": "string",
485 "lastModifiedBy": "string",
486 "createdDate": "2019-08-24T14:15:22Z",
487 "lastModifiedDate": "2019-08-24T14:15:22Z",
488 "archived": true,
489 "externalId": "string",
490 "id": 0,
491 "priority": 0,
492 "internalId": 0,
493 "pickListCode": "string",
494 "pickListLabel": "string",
495 "label": "string",
496 "cultureId": 0,
497 "labelDtos": [
498 {
499 "createdBy": "string",
500 "lastModifiedBy": "string",
501 "createdDate": "2019-08-24T14:15:22Z",
502 "lastModifiedDate": "2019-08-24T14:15:22Z",
503 "archived": true,
504 "externalId": "string",
505 "id": 0,
506 "cultureId": 0,
507 "value": "string"
508 }
509 ]
510 },
511 "notificationType": {
512 "createdBy": "string",
513 "lastModifiedBy": "string",
514 "createdDate": "2019-08-24T14:15:22Z",
515 "lastModifiedDate": "2019-08-24T14:15:22Z",
516 "archived": true,
517 "externalId": "string",
518 "id": 0,
519 "priority": 0,
520 "internalId": 0,
521 "pickListCode": "string",
522 "pickListLabel": "string",
523 "label": "string",
524 "cultureId": 0,
525 "labelDtos": [
526 {
527 "createdBy": "string",
528 "lastModifiedBy": "string",
529 "createdDate": "2019-08-24T14:15:22Z",
530 "lastModifiedDate": "2019-08-24T14:15:22Z",
531 "archived": true,
532 "externalId": "string",
533 "id": 0,
534 "cultureId": 0,
535 "value": "string"
536 }
537 ]
538 },
539 "approver": {
540 "createdBy": "string",
541 "lastModifiedBy": "string",
542 "createdDate": "2019-08-24T14:15:22Z",
543 "lastModifiedDate": "2019-08-24T14:15:22Z",
544 "archived": true,
545 "externalId": "string",
546 "id": 0,
547 "email": "string",
548 "userName": "string",
549 "firstName": "string",
550 "lastName": "string",
551 "displayName": "string",
552 "permissions": "string",
553 "internalId": "string",
554 "preferredCulture": {
555 "createdBy": "string",
556 "lastModifiedBy": "string",
557 "createdDate": "2019-08-24T14:15:22Z",
558 "lastModifiedDate": "2019-08-24T14:15:22Z",
559 "archived": true,
560 "externalId": "string",
561 "id": 0,
562 "name": "string",
563 "code": "string",
564 "defaultCulture": true,
565 "enable": true
566 },
567 "userGroups": [
568 {
569 "createdBy": "string",
570 "lastModifiedBy": "string",
571 "createdDate": "2019-08-24T14:15:22Z",
572 "lastModifiedDate": "2019-08-24T14:15:22Z",
573 "archived": true,
574 "externalId": "string",
575 "id": 0,
576 "name": "string",
577 "description": "string",
578 "internalId": "string"
579 }
580 ],
581 "partnerIds": [
582 0
583 ],
584 "partners": [
585 {
586 "id": 0,
587 "status": "CREATED",
588 "displayId": "string",
589 "erpSystemId": 0,
590 "erpSystemDisplayId": "string",
591 "name": "string",
592 "fax": "string",
593 "phone": "string",
594 "parentId": 0,
595 "parentName": "string",
596 "parentDisplayId": "string",
597 "companyId": 0,
598 "partnerRoleId": 0,
599 "partnerContactId": 0
600 }
601 ]
602 }
603}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
None |
Get Milestones For Nrm¶
HTTP Request
POST /api/nss/milestone-tasks/search
📋 Description: Submits a request to search for milestone tasks, allowing users to filter results based on specific criteria to enhance project management efficiency.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the milestone tasks search should be returned in a paginated format, facilitating efficient data retrieval for large datasets. |
|
body |
body |
true |
Request body containing the search criteria and filters for milestone tasks, enabling targeted retrieval of relevant task information. |
Body Parameters
1{
2 "externalIdLike": "string",
3 "nameLike": "string",
4 "statusIds": [
5 0
6 ]
7}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "paged": true,
6 "unpaged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "createdBy": "string",
23 "lastModifiedBy": "string",
24 "createdDate": "2019-08-24T14:15:22Z",
25 "lastModifiedDate": "2019-08-24T14:15:22Z",
26 "archived": true,
27 "externalId": "string",
28 "id": 0,
29 "name": "string",
30 "description": "string",
31 "wbs": 0,
32 "startDate": "2019-08-24",
33 "targetDate": "2019-08-24",
34 "statusId": 0,
35 "assigneeId": 0,
36 "assigneeCanModify": true,
37 "notificationTypeId": 0,
38 "triggerId": 0,
39 "statusOfTriggerId": 0,
40 "emailSendDate": "2019-08-24",
41 "lastEmailSent": "2019-08-24",
42 "isEmailAcknowledged": true,
43 "nbEmailSent": 0,
44 "milestoneTaskKeywordId": 0,
45 "milestoneTaskKeywordValue": "string",
46 "approverId": 0,
47 "approvalStatusId": 0,
48 "refernceTaskId": 0,
49 "approvalDate": "2019-08-24",
50 "nrmWorkOrderId": 0,
51 "nrmWorkOrderDisplayId": "string",
52 "milestoneId": 0,
53 "assignee": {
54 "createdBy": "string",
55 "lastModifiedBy": "string",
56 "createdDate": "2019-08-24T14:15:22Z",
57 "lastModifiedDate": "2019-08-24T14:15:22Z",
58 "archived": true,
59 "externalId": "string",
60 "id": 0,
61 "email": "string",
62 "userName": "string",
63 "firstName": "string",
64 "lastName": "string",
65 "displayName": "string",
66 "permissions": "string",
67 "internalId": "string",
68 "preferredCulture": {
69 "createdBy": "string",
70 "lastModifiedBy": "string",
71 "createdDate": "2019-08-24T14:15:22Z",
72 "lastModifiedDate": "2019-08-24T14:15:22Z",
73 "archived": true,
74 "externalId": "string",
75 "id": 0,
76 "name": "string",
77 "code": "string",
78 "defaultCulture": true,
79 "enable": true
80 },
81 "userGroups": [
82 {
83 "createdBy": "string",
84 "lastModifiedBy": "string",
85 "createdDate": "2019-08-24T14:15:22Z",
86 "lastModifiedDate": "2019-08-24T14:15:22Z",
87 "archived": true,
88 "externalId": "string",
89 "id": 0,
90 "name": "string",
91 "description": "string",
92 "internalId": "string"
93 }
94 ],
95 "partnerIds": [
96 0
97 ],
98 "partners": [
99 {
100 "id": 0,
101 "status": "CREATED",
102 "displayId": "string",
103 "erpSystemId": 0,
104 "erpSystemDisplayId": "string",
105 "name": "string",
106 "fax": "string",
107 "phone": "string",
108 "parentId": 0,
109 "parentName": "string",
110 "parentDisplayId": "string",
111 "companyId": 0,
112 "partnerRoleId": 0,
113 "partnerContactId": 0
114 }
115 ]
116 },
117 "trigger": {},
118 "statusOfTrigger": {
119 "createdBy": "string",
120 "lastModifiedBy": "string",
121 "createdDate": "2019-08-24T14:15:22Z",
122 "lastModifiedDate": "2019-08-24T14:15:22Z",
123 "archived": true,
124 "externalId": "string",
125 "id": 0,
126 "priority": 0,
127 "internalId": 0,
128 "pickListCode": "string",
129 "pickListLabel": "string",
130 "label": "string",
131 "cultureId": 0,
132 "labelDtos": [
133 {
134 "createdBy": "string",
135 "lastModifiedBy": "string",
136 "createdDate": "2019-08-24T14:15:22Z",
137 "lastModifiedDate": "2019-08-24T14:15:22Z",
138 "archived": true,
139 "externalId": "string",
140 "id": 0,
141 "cultureId": 0,
142 "value": "string"
143 }
144 ]
145 },
146 "milestoneTaskKeyword": {
147 "createdBy": "string",
148 "lastModifiedBy": "string",
149 "createdDate": "2019-08-24T14:15:22Z",
150 "lastModifiedDate": "2019-08-24T14:15:22Z",
151 "archived": true,
152 "externalId": "string",
153 "id": 0,
154 "priority": 0,
155 "internalId": 0,
156 "pickListCode": "string",
157 "pickListLabel": "string",
158 "label": "string",
159 "cultureId": 0,
160 "labelDtos": [
161 {
162 "createdBy": "string",
163 "lastModifiedBy": "string",
164 "createdDate": "2019-08-24T14:15:22Z",
165 "lastModifiedDate": "2019-08-24T14:15:22Z",
166 "archived": true,
167 "externalId": "string",
168 "id": 0,
169 "cultureId": 0,
170 "value": "string"
171 }
172 ]
173 },
174 "status": {
175 "createdBy": "string",
176 "lastModifiedBy": "string",
177 "createdDate": "2019-08-24T14:15:22Z",
178 "lastModifiedDate": "2019-08-24T14:15:22Z",
179 "archived": true,
180 "externalId": "string",
181 "id": 0,
182 "priority": 0,
183 "internalId": 0,
184 "pickListCode": "string",
185 "pickListLabel": "string",
186 "label": "string",
187 "cultureId": 0,
188 "labelDtos": [
189 {
190 "createdBy": "string",
191 "lastModifiedBy": "string",
192 "createdDate": "2019-08-24T14:15:22Z",
193 "lastModifiedDate": "2019-08-24T14:15:22Z",
194 "archived": true,
195 "externalId": "string",
196 "id": 0,
197 "cultureId": 0,
198 "value": "string"
199 }
200 ]
201 },
202 "approvalStatus": {
203 "createdBy": "string",
204 "lastModifiedBy": "string",
205 "createdDate": "2019-08-24T14:15:22Z",
206 "lastModifiedDate": "2019-08-24T14:15:22Z",
207 "archived": true,
208 "externalId": "string",
209 "id": 0,
210 "priority": 0,
211 "internalId": 0,
212 "pickListCode": "string",
213 "pickListLabel": "string",
214 "label": "string",
215 "cultureId": 0,
216 "labelDtos": [
217 {
218 "createdBy": "string",
219 "lastModifiedBy": "string",
220 "createdDate": "2019-08-24T14:15:22Z",
221 "lastModifiedDate": "2019-08-24T14:15:22Z",
222 "archived": true,
223 "externalId": "string",
224 "id": 0,
225 "cultureId": 0,
226 "value": "string"
227 }
228 ]
229 },
230 "notificationType": {
231 "createdBy": "string",
232 "lastModifiedBy": "string",
233 "createdDate": "2019-08-24T14:15:22Z",
234 "lastModifiedDate": "2019-08-24T14:15:22Z",
235 "archived": true,
236 "externalId": "string",
237 "id": 0,
238 "priority": 0,
239 "internalId": 0,
240 "pickListCode": "string",
241 "pickListLabel": "string",
242 "label": "string",
243 "cultureId": 0,
244 "labelDtos": [
245 {
246 "createdBy": "string",
247 "lastModifiedBy": "string",
248 "createdDate": "2019-08-24T14:15:22Z",
249 "lastModifiedDate": "2019-08-24T14:15:22Z",
250 "archived": true,
251 "externalId": "string",
252 "id": 0,
253 "cultureId": 0,
254 "value": "string"
255 }
256 ]
257 },
258 "approver": {
259 "createdBy": "string",
260 "lastModifiedBy": "string",
261 "createdDate": "2019-08-24T14:15:22Z",
262 "lastModifiedDate": "2019-08-24T14:15:22Z",
263 "archived": true,
264 "externalId": "string",
265 "id": 0,
266 "email": "string",
267 "userName": "string",
268 "firstName": "string",
269 "lastName": "string",
270 "displayName": "string",
271 "permissions": "string",
272 "internalId": "string",
273 "preferredCulture": {
274 "createdBy": "string",
275 "lastModifiedBy": "string",
276 "createdDate": "2019-08-24T14:15:22Z",
277 "lastModifiedDate": "2019-08-24T14:15:22Z",
278 "archived": true,
279 "externalId": "string",
280 "id": 0,
281 "name": "string",
282 "code": "string",
283 "defaultCulture": true,
284 "enable": true
285 },
286 "userGroups": [
287 {
288 "createdBy": "string",
289 "lastModifiedBy": "string",
290 "createdDate": "2019-08-24T14:15:22Z",
291 "lastModifiedDate": "2019-08-24T14:15:22Z",
292 "archived": true,
293 "externalId": "string",
294 "id": 0,
295 "name": "string",
296 "description": "string",
297 "internalId": "string"
298 }
299 ],
300 "partnerIds": [
301 0
302 ],
303 "partners": [
304 {
305 "id": 0,
306 "status": "CREATED",
307 "displayId": "string",
308 "erpSystemId": 0,
309 "erpSystemDisplayId": "string",
310 "name": "string",
311 "fax": "string",
312 "phone": "string",
313 "parentId": 0,
314 "parentName": "string",
315 "parentDisplayId": "string",
316 "companyId": 0,
317 "partnerRoleId": 0,
318 "partnerContactId": 0
319 }
320 ]
321 }
322 }
323 ],
324 "number": 0,
325 "sort": {
326 "unsorted": true,
327 "sorted": true,
328 "empty": true
329 },
330 "empty": true
331}
Get Milestone Statuses¶
HTTP Request
GET /api/nss/task-statuses
📋 Description: Retrieves the current statuses of tasks within the system, providing insights into task progress and completion for effective project management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results should be returned in a paginated format, enhancing the efficiency of data retrieval for task statuses. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalPages": 0,
3 "totalElements": 0,
4 "pageable": {
5 "paged": true,
6 "unpaged": true,
7 "pageNumber": 0,
8 "pageSize": 0,
9 "offset": 0,
10 "sort": {
11 "unsorted": true,
12 "sorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "first": true,
18 "last": true,
19 "size": 0,
20 "content": [
21 {
22 "createdBy": "string",
23 "lastModifiedBy": "string",
24 "createdDate": "2019-08-24T14:15:22Z",
25 "lastModifiedDate": "2019-08-24T14:15:22Z",
26 "archived": true,
27 "externalId": "string",
28 "id": 0,
29 "priority": 0,
30 "internalId": 0,
31 "pickListCode": "string",
32 "pickListLabel": "string",
33 "label": "string",
34 "cultureId": 0,
35 "labelDtos": [
36 {
37 "createdBy": "string",
38 "lastModifiedBy": "string",
39 "createdDate": "2019-08-24T14:15:22Z",
40 "lastModifiedDate": "2019-08-24T14:15:22Z",
41 "archived": true,
42 "externalId": "string",
43 "id": 0,
44 "cultureId": 0,
45 "value": "string"
46 }
47 ]
48 }
49 ],
50 "number": 0,
51 "sort": {
52 "unsorted": true,
53 "sorted": true,
54 "empty": true
55 },
56 "empty": true
57}